<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="detailed userDetailed clearfix">
			<button type="button" class="icon detailed_close"></button>
			<div class="common_content_title">会员新增</div>
			<ul id="userDetailedTabBtnList" class="userDetailed_tab clearfix">
				<li class="active">基本信息 </li>
				<li>联系信息 </li>
				<li>标签分组 </li>
				<li>其他信息 </li>
			</ul>
			<div id="userDetailedTabContent">
				<!--基本信息-->
				<div class="">
					<form id="memberBaseInfoForm" method="post">
						<input type="hidden" name="memberId" value="" />
						<div class="userDetailed_tab_scach clearfix">
							<div class="common_content_scach_box">
								<ul class="clearfix">
									<li>
										<span>会员编号</span>
										<div>
											<input name="memberCode" data-options="" size="16" type="text" class="form-control" value="" placeholder="系统自动生成" readonly>
										</div>
									</li>
									<li>
										<span><span class="mustInput">*</span>注册渠道</span>
										<div>
											<input type="hidden"  name="channelId" id="" value="" />
											<input size="16" type="text" id="channelName" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Member_Channel">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
										<span>区域/门店</span>
										<div>
											<input type="hidden" name="orgId" value="" />
											 <input id="orgName" class="form-control" type="text" value="" name="orgName"></input>
											 <i class="input_icon input_clear" onclick="clearInput(this)"></i>
										</div>
									</li>
								</ul>
								<ul class="clearfix">
									<li>
										<span>姓名</span>
										<div>
											<input name="memberName" size="16" type="text" class="form-control" value="" data-options="required:false,length:'100'">
										</div>
									</li>
									<li>
										<span>用户名</span>
										<div>
											<input name="userName" size="16" type="text" class="form-control" value="" data-options="required:false,length:'100'">
										</div>
									</li>
									<li>
										<span>性别</span>
										<div>
											<input type="hidden" name="gender" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.gender">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									
<!-- 									<li> -->
<!-- 										<span>推荐人</span> -->
<!-- 										<div> -->
<!-- 											<input id="" size="16" type="text" class="form-control" value=""> -->
<!-- 										</div> -->
<!-- 									</li> -->
								</ul>
								<ul class="clearfix">
									<li>
										<span><span class="mustInput">*</span>手机号</span>
										<div>
											<input id="" name="mobile" size="16" type="text" class="form-control" value="" data-options="required:true,validType:'mobile'">
											
										</div>
									</li>
									<li>
										<span>生日</span>
										<div>
											<input name="birthday" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										</div>
									</li>
									<li>
										<span>会员等级</span>
										<div>
											<input type="hidden" name="gradeId" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Member_Grade">
											<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">--请选择--</a></li>
											</ul>
											<i class="input_icon input_down"></i>
										</div>
										
									</li>
									
								</ul>
								<ul class="clearfix">
									<li>
										<span>城市</span>
										<div>
											<input type="hidden" name="geoId" id="" value="" />
											<input size="16" type="text" class="form-control" id="city_qr_member">
										</div>
									</li>
									
									<li>
										<span>邮箱</span>
										<div>
											<input name="email" size="10" type="text" data-options="required:false,length:'50',validType:'email'" class="form-control" value="">
										</div>
									</li>
									<li>
										<span>语言偏好</span>
										<input id="language" name="language" size="10" type="hidden"  class="form-control" value="cn">
										<div style="width: 140px;display: inline-block;">
											<select class="form-control" id="languageSelect">
												<option value="cn">中文</option>
												<option value="en">英文</option>
											</select>
										</div>
									</li>
								</ul>
							</div>
						</div>
					</form>
					<button id="memberBaseSaveBtn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
				</div>
				<!--联系信息-->
				<div class="none">
					<form id="memberExtAccountForm" method="post">
						<div class="userDetailed_tab_scach clearfix">
							<div class="common_content_scach_box">
								<ul class="clearfix">
								
									<li>
										<span>微信号</span>
										<div>
											<input name="wechat" size="16" type="text" class="form-control" value="" data-options="required:false,length:'50'">
										</div>
									</li>
									<li>
										<span>QQ</span>
										<div>
											<input name="qq" size="16" type="text" class="form-control" value="" data-options="required:false,length:'50'">
										</div>
									</li>
									</ul>
									<ul class="clearfix">
									<li>
										<span>新浪微博</span>
										<div>
											<input name="sina" size="16" type="text" class="form-control" value="" data-options="required:false,length:'50'">
										</div>
									</li>
									
									
									</ul>
								
							</div>
						</div>
					</form>
					<div class="clearfix">添加联系地址</div>
					<div class="common_content_btnList clearfix">
						<button id="memberAddressAddBtn" type="button" class="btn btn-success btn-block">添加</button>
						<button id="memberAddressEditBtn" type="button" class="btn btn-block">编辑</button>
						<button id="memberAddressDeleteBtn" type="button" class="btn btn-block">删除</button>
					</div>
					<div class="common_content_table box_shadow">
						<table id="memberAddressTable" class="easyui-datagrid" style="width:100%;height:200px" data-options="method:'get'">
							<thead>
								<tr>
									<th data-options="field:'memberAddressId',checkbox:true">选择</th>
									<th data-options="field:'personName',width:200,halign:'center'">联系人</th>
									<th data-options="field:'personMobile',width:200,halign:'center'">手机/电话</th>
									<th data-options="field:'areaName',width:200,align:'right',halign:'center'">联系地址</th>
									<th data-options="field:'addressDetail',width:200,align:'right',halign:'center'">详细地址</th>
								</tr>
							</thead>
						</table>
					</div>
					<button id="saveMemberExtAccountBtn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
				</div>
				<!--标签管理-->
				<div class="add_lable_div none">
					<ul>
						<li class="clearfix">
							<span class="fl">会员标签:</span>
							<div class="add_lable_box">
								<button id="labelChooseBtn2" type="button" class="btn add_lable_btn input40">+</button>
								<div id="memberTagList">
								<!-- 
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									 -->
								</div>
							</div>
						</li>
						<li class="clearfix">
							<span class="fl">会员分组:</span>
							<div class="add_lable_box">
								<button id="addFenZuBtn" type="button" class="btn add_lable_btn input40">+</button>
								<div id="memberGroupList">
								<!-- 
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									<span class="labelChoose_span">标签1<span class="icon icon_close_active"></span></span>
									 -->
								</div>
							</div>
						</li>
					</ul>
					<button id="saveMemberTagAndGroupBtn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
				</div>
				<!--其他信息-->
				<div class="none">
					<form id="saveMemberExtInfoForm" method="post">
						<div class="userDetailed_tab_scach clearfix">
							<div class="common_content_scach_box">
								<ul class="clearfix">
									<li>
										<span>职业</span>
										<div>
											<input type="hidden" name="profession" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Profession">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
										<span>星座</span>
										<div>
											<input type="hidden" name="zodiac" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Member_Zodiac">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
										<span>属相</span>
										<div>
											<input type="hidden" name="chineseZodiac" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Member_Chinese_Zodiac">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
									</li>
								</ul>
								<ul class="clearfix">
									<li>
										<span>血型</span>
										<div>
											<input type="hidden" name="blood" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.Member_Blood">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
										<span>婚否</span>
										<div>
											<input type="hidden" name="isMarried" id="" value="" />
											<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
											<ul class="dropdown-menu" data="$.IsMarried">
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</li>
									<li>
									</li>
									<li>
								</ul>
								<ul>
									<div>备注</div><textarea name="remark" class="form-control" rows="3" data-options="required:false,length:'500'"></textarea>
								</ul>
							</div>
							<button id="memberExtInfoSaveBtn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
						</div>
					</form>
				</div>
			<!--联系人层-->
			<div id="contactDetailed" class="mask_in none">
				<div class="detailed contactDetailed">
					<div class="contactDetailed_title">添加新联系人</div>
					<form id="memberAddressForm" method="post">
						<input type="hidden" id="memberAddressId" name="memberAddressId" value="" />
						<ul>
							<li>
								<span>联系人</span>
								<input name="personName" size="16" type="text" class="form-control input140" value="" data-options="required:true,length:'100'" >
							</li>
							<li>
								<span>联系地址</span>
									<div class="input100 relative">
										<input type="hidden" id="provinceId" name="provinceId" value="" />
										<input size="16" type="text" id="provinceName" class="form-control" value="" input-type="select" placeholder="-选择省-" readonly>
										<ul class="dropdown-menu" next-id="cityName">
										</ul>
										<i class="input_icon input_down"></i>
									</div>
									
									<div class="input100 relative">
										<input type="hidden" id="cityId" name="cityId" value="" />
										<input size="16" type="text" id="cityName" class="form-control" value="" input-type="select" placeholder="-选择市-" readonly>
										<ul class="dropdown-menu" next-id="districtName">
										</ul>
										<i class="input_icon input_down"></i>
									</div>
									
									<div class="input100 relative">
										<input type="hidden" id="districtId" name="districtId" value="" />
										<input size="16" type="text" id="districtName" class="form-control" value="" input-type="select" placeholder="-选择区-" readonly>
										<ul class="dropdown-menu">
										</ul>
										<i class="input_icon input_down"></i>
									</div>
							</li>
							<li>
								<span>详细地址</span>
								<input name="addressDetail" size="16" type="text" class="form-control input340" value="" data-options="required:true,length:'200'">
							</li>
							<li>
								<span>手机号码</span>
								<input name="personMobile" size="16" type="text" class="form-control input140" value="" data-options="required:true,validType:'mobile'">
							</li>
							<li>
								<span>固话</span>
								<input name="personPhoneZone" size="16" type="text" class="form-control input70" value="" data-options="length:'10'" placeholder="区号">&nbsp;-&nbsp;
								<input name="personPhoneNum" size="16" type="text" class="form-control input140" value="" data-options="length:'20'">
							</li>
							<li>是否设置为默认地址&nbsp;&nbsp;&nbsp;&nbsp;
								<input type="hidden"  name="isDefault" value="" />
								<input id="isDefaultCheckbox" type="checkbox" value="">
							</li>
						</ul>
						<div class="contactDetailed_btn">
							<button type="button" id="memberAddressSaveBtn" class="btn btn-success input90">保存</button>
							<button type="button" class="btn input90 detailed_close2">关闭</button>
						</div>
					</form>
				</div>
			</div>
			
			
			
			<!--标签弹出层-->
			<div id="labelChooseAdd" class="mask_in none">
				<div class="detailed labelChoose">
					<button type="button" class="icon detailed_close"></button>
					<div class="labelChoose_title">
						<span>已选标签</span>
					</div>
					<div class="labelChoose_list clearfix">
						<ul>
						</ul>
					</div>
					<div class="labelChoose_seach">
						<span>查询标签</span>
						<div>
							<input class="form-control" id="likeMemberTagName2" value="">
							<a id="queryTag_bt2" href="#" ><i class="input_icon input_seach"></i></a>
						</div>
					</div>
					<button type="button" id="tagSaveBtn2" class="btn btn-success btn-block choose_btn">保存</button>
				</div>
			</div>
			
			
			<!--分组弹出层-->
			<div id="addFenZu" class="mask_in none">
				<div class="detailed labelChoose">
					<div class="contactDetailed_title">添加分组</div>
					<div class="add_check_box">
						<span>添加已有分组</span>
						<div class="input160 relative">
							<input type="hidden" id="selectMemberGroupId" value="" />
							<input size="16" type="text" id="selectMemberGroupName" class="form-control" value="" input-type="select" placeholder="-请选择-" readonly>
							<ul class="dropdown-menu">
								<!-- 
								<li data-id="1"><a href="javascript:;">aaa</a></li>
								<li data-id="2"><a href="javascript:;">aa</a></li>
								<li data-id="3"><a href="javascript:;">aaa</a></li>
								 -->
							</ul>
							<i class="input_icon input_down"></i>
						</div>
						<div class="contactDetailed_btn">
							<button id="groupSaveBtn" type="button" class="btn btn-success input90">保存</button>
							<button type="button" class="btn input90 detailed_close2">关闭</button>
						</div>
					</div>
				</div>
			</div>
			
			<!--区域弹出层-->
			<div id="areaChooseAdd" class="mask none">
				<div class="detailed labelChoose">
					<div class="contactDetailed_title">选择区域/门店</div>
						<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
							<div class="zTreeDemoBackground left">
								<ul id="areaTreeAdd" class="ztree"></ul>
							</div>
						</div>
						<div class="contactDetailed_btn">
							<button id="areaSaveBtnAdd" type="button" class="btn btn-success input90">保存</button>
							<button type="button" class="btn input90 detailed_close2">关闭</button>
						</div>
					</div>
			</div>

		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/member/memberAdd'], function(re) {
					re.init();
				});
				require(['view/member/areaLinkage'], function(re) {
					//re.init();
				});
				/*
				require(['view/member/areaSelect'], function(re) {
					//re.init();
				});
				*/
			});
		</script>
	</body>

</html>